#ifndef _DEVICE_H
#define _DEVICE_H

#include <inttypes.h>
#include <intrepidcs.h>

gboolean
device_init(const gchar * deviceFileName, GtkListStore * listStore, GIOFunc ifaceMon, gchar ** errStr);

void
device_close(void);

gboolean
device_process_packet(gchar ** error);

double
device_timestamp(uint16_t timestamp);

struct ics_interface *
device_iface(void);
#endif
